Function
deallocate
Deallocates memory.
deallocate(object, data, count [, usage_tag])
Include Headers
seqan/basic.h
Parameters

object | Allocator object. Types: Allocator Remarks: object is conceptually the "owner" of the allocated memory. Objects of all types can be used as allocators. If no special behavior is implemented, default functions allocation/deallocation are applied that uses standard new and delete operators.
data | Pointer to allocated memory that was allocated by allocate.
count | Number of items that could be stored in the allocated memory.
usage_tag | A tag the specifies the purpose for the allocated memory. Values: Allocator Usage

Remarks
The values for object, count and usage_tag should be the same that was used when allocate was called. The value of data should be the same that was returned by allocate.
Note: deallocate does not destruct objects.
Use e.g. one of the functions valueDestruct or arrayDestruct to destruct the objects. delete and delete [] operators which are part of the C++ standard (defined in <new>) can also be used to destruct objects at a given memory address.
Example Programs
Allocators
Part of Concept
Allocator
See Also
ToStdAllocator, valueDestruct, Allocator Usage, clear, allocate, arrayDestruct
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47